StarObjectModelInternal::Page Class Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::Page Class Reference

Internal: class used to store a page and its data. More...

## Classes
struct | Descriptor
| Internal: class used to store a page descriptor. More...

## Public Member Functions
| Page ()
| constructor
int | getMasterPageId () const
| returns the master page id
void | updatePageSpan (STOFFPageSpan &page, double relUnit) const
| update pagespan properties

## Public Attributes
bool | m_masterPage
| a flag to know if the page is a master page
librevenge::RVNGString | m_name
| the page name
STOFFVec2i | m_size
| the page size
int | m_borders [4]
| the border size: left, up, right, bottom
std::vector< Descriptor > | m_masterPageDescList
| the list of master page descriptor
Layer | m_layer
| the layer
LayerSet | m_layerSet
| the layer set
std::vector< std::shared_ptr< StarObjectSmallGraphic > > | m_objectList
| the list of object
std::shared_ptr< StarObjectSmallGraphic > | m_background
| the background object

## Friends
std::ostream & | operator<< (std::ostream &o, Page const &page)
| operator<<

## Detailed Description

Internal: class used to store a page and its data.

## Constructor & Destructor Documentation

## ◆ Page()

StarObjectModelInternal::Page::Page | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getMasterPageId()

int StarObjectModelInternal::Page::getMasterPageId | ( |  | ) | const
| inline

returns the master page id

## ◆ updatePageSpan()

void StarObjectModelInternal::Page::updatePageSpan | ( | STOFFPageSpan & | page,
|  | double | relUnit ) const
| inline

update pagespan properties

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Page const & | page )
| friend

operator<<

## Member Data Documentation

## ◆ m_background

std::shared_ptr<StarObjectSmallGraphic> StarObjectModelInternal::Page::m_background

the background object

Referenced by operator<<, Page(), and updatePageSpan().

## ◆ m_borders

int StarObjectModelInternal::Page::m_borders[4]

the border size: left, up, right, bottom

Referenced by operator<<, Page(), and updatePageSpan().

## ◆ m_layer

Layer StarObjectModelInternal::Page::m_layer

the layer

Referenced by operator<<, and Page().

## ◆ m_layerSet

LayerSet StarObjectModelInternal::Page::m_layerSet

the layer set

Referenced by operator<<, and Page().

## ◆ m_masterPage

bool StarObjectModelInternal::Page::m_masterPage

a flag to know if the page is a master page

Referenced by getMasterPageId(), operator<<, and Page().

## ◆ m_masterPageDescList

std::vector<Descriptor> StarObjectModelInternal::Page::m_masterPageDescList

the list of master page descriptor

Referenced by getMasterPageId(), operator<<, Page(), and StarObjectModel::readSdrMPageDesc().

## ◆ m_name

librevenge::RVNGString StarObjectModelInternal::Page::m_name

the page name

Referenced by operator<<, and Page().

## ◆ m_objectList

std::vector<std::shared_ptr<StarObjectSmallGraphic> > StarObjectModelInternal::Page::m_objectList

the list of object

Referenced by operator<<, Page(), and StarObjectModel::sendPage().

## ◆ m_size

STOFFVec2i StarObjectModelInternal::Page::m_size

the page size

Referenced by operator<<, Page(), and updatePageSpan().

The documentation for this class was generated from the following file:

- StarObjectModel.cxx